/*-
 * Copyright (c) 2014, ServerU Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#if __FreeBSD_version > 800000
#include <sys/ioccom.h>
#endif
typedef struct _bp_s{
	unsigned char bp_addr;
	unsigned char bp_cmd;
	unsigned char bp_pec;
	unsigned char bp_inhibit_err;
	unsigned char bp_buffer[20];
}bp_s;


/* READ BYTE DATA COMMAND */
#define IOCTL_READ_BYTE_DATA_CMD	_IOWR('B', 20, struct _bp_s)

/* READ WORD DATA COMMAND */
#define IOCTL_READ_WORD_DATA_CMD	_IOWR('B', 21, struct _bp_s)

/* WRITE BYTE COMMAND */
#define IOCTL_WRITE_BYTE_CMD		_IOWR('B', 22, struct _bp_s)

/* WRITE BYTE DATA COMMAND */
#define IOCTL_WRITE_BYTE_DATA_CMD	_IOWR('B', 23, struct _bp_s )
